libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
TapePartitionHashEntry Struct Reference

`#include <aaruformat/context.h>`

## Data Fields
uint8_t | key
| Key: partition.
TapePartitionEntry | partitionEntry
| The actual tape partition data.
UT_hash_handle | hh
| UTHASH handle.

## Detailed Description

Definition at line 133 of file context.h.

## Field Documentation

## ◆ hh

UT_hash_handle TapePartitionHashEntry::hh

UTHASH handle.

Definition at line 137 of file context.h.

## ◆ key

uint8_t TapePartitionHashEntry::key

Key: partition.

Definition at line 135 of file context.h.

Referenced by aaruf_set_tape_partition(), and process_tape_partitions_block().

## ◆ partitionEntry

TapePartitionEntry TapePartitionHashEntry::partitionEntry

The actual tape partition data.

Definition at line 136 of file context.h.

Referenced by aaruf_get_all_tape_partitions(), aaruf_get_tape_partition(), aaruf_set_tape_partition(), process_tape_partitions_block(), and write_tape_partition_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/context.h